#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.12
visibility:           public
id:                   foldl-1.4.12-Jt6FbbKn8tqEOOpeJiHM7c
key:                  foldl-1.4.12-Jt6FbbKn8tqEOOpeJiHM7c
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  a9c21e5e67ee05809bab22dc761f5693
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.0.1/site-local/foldl-1.4.12
library-dirs:         /usr/lib/ghc-9.0.1/site-local/foldl-1.4.12
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/foldl-1.4.12
hs-libraries:         HSfoldl-1.4.12-Jt6FbbKn8tqEOOpeJiHM7c
depends:
    base-4.15.0.0 bytestring-0.10.12.1
    comonad-5.0.8-1Uh5Gl4nSiDC4hZNRT8y42 containers-0.6.4.1
    contravariant-1.5.5-1Tz7FaRP9yoKqkcBKkQ76A
    hashable-1.3.2.0-2579b4ed8EpGiVuNwiQjKE
    primitive-0.7.1.0-426yJegKp37VSmhbxVnN0
    profunctors-5.6.2-K4acvEBa3y6710qTBbGDX5
    random-1.2.0-9svPOrkQ7V0Gcc9BQgbVEP
    semigroupoids-5.3.5-HXBtEdHlc3rJZTpH0VHqFx text-1.2.4.1
    transformers-0.5.6.2
    unordered-containers-0.2.14.0-9dFFYFCso8sGtsfFV1YYEC
    vector-0.12.3.0-6sPLZXQdGWkHzsFcCKoHc

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

